%global srcname flake8-import-order
%bcond_with pylama

Summary:        Flake8 plugin for checking order of imports in Python code
Name:           python-%{srcname}
Version:        0.18.2
Release:        4%{?dist}
License:        LGPLv3
URL:            https://github.com/PyCQA/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/f/%{srcname}/%{srcname}-%{version}.tar.gz
Patch3000:      flake8-import-order-0.9.2-nolama.patch

BuildArch:      noarch

%description
A flake8 and Pylama plugin that checks the ordering of your imports. It does not check anything else about the imports. Merely that they are grouped and ordered correctly.

%package     -n python3-%{srcname}
Summary:        Flake8 plugin for checking order of imports in Python code

BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-pytest python3-flake8
BuildRequires:  python3-pycodestyle python3-asttokens
Requires:       python3-flake8 python3-pycodestyle python3-asttokens

Provides:       python3-%{srcname}}

%description -n python3-%{srcname}
A flake8 and Pylama plugin that checks the ordering of your imports. It does not check anything else about the imports. Merely that they are grouped and ordered correctly.


%prep
%setup -q -n %{srcname}-%{version}
%if %{without pylama}
%patch3000 -p1
rm tests/test_pylama_linter.py
%endif

%build
%py3_build

%install
%py3_install


%check
%if %{without pylama}
mv flake8_import_order/pylama_linter.py flake8_import_order/pylama_linter.NOT
%endif

%{__python3} setup.py develop --user
%{__python3} -m pytest -v


%files -n python3-%{srcname}
%license COPYING
%doc README.rst
%{python3_sitelib}/*


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.2-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Feng Weiyao <wynnfeng@tencent.com> - 0.18.2-1
- initial build
